/****************************************************************************
**  SIONLIB     http://www.fz-juelich.de/jsc/sionlib                       **
*****************************************************************************
**  Copyright (c) 2008-2016                                                **
**  Forschungszentrum Juelich, Juelich Supercomputing Centre               **
**                                                                         **
**  See the file COPYRIGHT in the package base directory for details       **
****************************************************************************/

/*!
 * \file
 *
 * \ref api_page
 */

#ifndef SION_SION_OMPI
#define SION_SION_OMPI

#ifdef MPI_VERSION
#include "sion_datatypes_mpi.h"

#ifdef __cplusplus
extern "C" {
#endif
  
int sion_paropen_ompi(    const char     *fname,
			  const char     *file_mode,
			  int            *numFiles,
			  MPI_Comm        gComm,
			  const MPI_Comm *lComm,
			   sion_int64     *chunksize,
			  sion_int32     *fsblksize,
			  int            *globalrank,
			  FILE          **fileptr,
			  char          **newfname);

int sion_parclose_ompi(   int      sid  );

#ifdef __cplusplus
}
#endif
  
#else 
  #define sion_paropen_ompi "sion_paropen_ompi not defined if mpi.h not included, please include mpi.h before including sion_mpi.h"
#endif

#endif
